︠17a28e3f-0f43-477d-ac7e-ea21f81662f4︠
#fonction qui renvoie la valeur de l'integrale f1
def int_f1(t,T0,alpha,x_max):
    return numerical_integral(3*alpha*x**2*exp(-alpha*x**3-t/T0*exp(-x)),0,x_max)
︡f300b360-b9b5-47b3-9275-89afb0bff2ca︡︡
︠29542082-b1ec-4585-a4f7-93d457d27661︠
c=0.15*10**-9
Omega = pi               #angle solide du cone d'emission PV
Na = 2.25*10**26         #concentration d'antisites dans le CLN (en m)
Rc = 2.3*10**-9          #Rayon du trou noir (en m)
Tm = 10*10**-6 
Beta_exp=0.178           #Valeur experimentale de Beta

#calcul des coefficients pour cette valeur de c
T0=n(Tm*exp(-Rc/c))
alpha=n((Omega*Na*c**3)/3)

t_min=10**-15
t_max=10**-3
nb_points=100

pas_log=n(log(t_min)-log(t_max))/(log(10)*nb_points)
t_list=[n(10**(log(t_min)/log(10)-i*pas_log)) for i in range(nb_points)]

#valeurs des points pour la loi parallele
f1_data=[[ln(t)/ln(10),int_f1(t,T0,alpha,Rc/c)[0]] for t in t_list]

#recherche de la valeur T_sol telle que int_f1(T_sol)=1/e pour la KWW

#on defini la fonction a annuler
def zero_f1(z):
    return n(int_f1(z,T0,alpha,Rc/c)[0]-1/e)

T_sol=find_root(zero_f1,0,t_max)
T_sol
︡a2d6fb87-6136-4764-b6fb-7197804ef9fc︡{"stdout": "3.7139753336269206e-08"}︡
︠ecc43c76-4a68-4de1-8403-dfb5bb0ea261︠
#la fonction pour le fit KWW
var("Beta")

def Kohl(t,Beta):
    return n(exp(-(exp(t*ln(10))/T_sol)**Beta))
    
#on cherche Beta
B_sol=find_fit(f1_data, Kohl, parameters = [Beta], variables = [t], initial_guess = [0.3], solution_dict = True)[Beta]
︡366354c7-8ee9-441c-99fa-c1ae6fd5450e︡{"stdout": "/sage/sage/local/bin/sage-sage: line 353: 14218 Segmentation fault      python \"$@\"\nConnection to localhost closed."}︡
